
QGIS Application - Bug report #12543

layer style effects not compatible with inverted polygon renderer

2015-04-10 01:21 AM - Regis Haubourg

Status: Reopened

Priority: Low

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20685

Description

Hi, 

just tested wonderfull live layer effects, and that reveals not taking into account inverted polygon renderer. 

Polygons are rendered just as normal polygon renderer.

We use it a lot to generate masking layers effects (see mask plugin).

Cheers

Régis

History

#1 - 2015-04-10 04:23 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you clarify this for me? When I test, this is what I see:

- inverted polygon, symbol layer effect: works

- inverted polygon, layer wide effect: results in no layer drawn

#2 - 2015-04-10 06:39 AM - Regis Haubourg

- Status changed from Feedback to Closed

Sorry, I missed that it was available on both levels.. Maybe UI needs to separate checkbox a bit more.

#3 - 2015-04-11 02:06 AM - Nyall Dawson

- Status changed from Closed to Reopened

Don't close this - there is a bug, because layer wide effects aren't working with the inverted renderer

#4 - 2015-06-18 09:25 PM - Martin Dobias

- Priority changed from Severe/Regression to Normal

#5 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2018-02-25 10:52 AM - Regis Haubourg

- Affected QGIS version changed from 2.8.1 to 3.0.0

- Description updated

- Priority changed from Normal to Low

Still true in master
